curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"CID":"14408248692727049506"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=cid"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "cid",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"CID": "14408248692727049506"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "cid",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ CID: "14408248692727049506" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJaXQRs6lZwokRY6EFpJnhNNE",
"name": "Empire State Building",
"address": "20 W 34th St., New York, NY 10001",
"rating": 4.7,
"reviews_count": 98500,
"latitude": 40.7484405,
"longitude": -73.9856644,
"url": "https://www.google.com/maps/place/?q=place_id:ChIJaXQRs6lZwokRY6EFpJnhNNE"
}
]
Google
按 CID 发现 Google 地图地点
使用 Bright Data Scraper API 按 CID 发现 Google 地图地点。POST /datasets/v3/scrape 以 JSON 格式返回结构化地点记录。
POST
/
datasets
/
v3
/
scrape
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"CID":"14408248692727049506"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=cid"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "cid",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"CID": "14408248692727049506"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "cid",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ CID: "14408248692727049506" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJaXQRs6lZwokRY6EFpJnhNNE",
"name": "Empire State Building",
"address": "20 W 34th St., New York, NY 10001",
"rating": 4.7,
"reviews_count": 98500,
"latitude": 40.7484405,
"longitude": -73.9856644,
"url": "https://www.google.com/maps/place/?q=place_id:ChIJaXQRs6lZwokRY6EFpJnhNNE"
}
]
查询参数
string
默认值:"gd_m8ebnr0q2qlklc02fz"
必填
用于此请求的数据集 ID。
必须设置为
gd_m8ebnr0q2qlklc02fz 以发现按 CID 的 Google 地图地点数据。string
默认值:"discover_new"
必填
必须设置为
discover_new。string
默认值:"cid"
必填
必须设置为
cid。boolean
默认值:false
请求完成时是否发送通知。
boolean
默认值:true
是否在响应中包含错误。
请求体
object[]
必填
curl -H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":[{"CID":"14408248692727049506"}],"limit_per_input":10}' \
"https://api.brightdata.com/datasets/v3/scrape?dataset_id=gd_m8ebnr0q2qlklc02fz¬ify=false&include_errors=true&type=discover_new&discover_by=cid"
import requests
response = requests.post(
"https://api.brightdata.com/datasets/v3/scrape",
params={
"dataset_id": "gd_m8ebnr0q2qlklc02fz",
"notify": "false",
"include_errors": "true",
"type": "discover_new",
"discover_by": "cid",
},
headers={"Authorization": "Bearer YOUR_API_KEY"},
json={
"input": [{"CID": "14408248692727049506"}],
"limit_per_input": 10,
},
)
print(response.text)
const params = new URLSearchParams({
dataset_id: "gd_m8ebnr0q2qlklc02fz",
notify: "false",
include_errors: "true",
type: "discover_new",
discover_by: "cid",
});
const response = await fetch(`https://api.brightdata.com/datasets/v3/scrape?${params}`, {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_API_KEY",
"Content-Type": "application/json",
},
body: JSON.stringify({
input: [{ CID: "14408248692727049506" }],
limit_per_input: 10,
}),
});
console.log(await response.text());
[
{
"place_id": "ChIJaXQRs6lZwokRY6EFpJnhNNE",
"name": "Empire State Building",
"address": "20 W 34th St., New York, NY 10001",
"rating": 4.7,
"reviews_count": 98500,
"latitude": 40.7484405,
"longitude": -73.9856644,
"url": "https://www.google.com/maps/place/?q=place_id:ChIJaXQRs6lZwokRY6EFpJnhNNE"
}
]
此页面对您有帮助吗?